<CsoundSynthesizer>
<CsOptions>
-odac -Ma -+rtmidi=alsa -+rtaudio=alsa -B 2048 -b 2048
</CsOptions>
; ==============================================
<CsInstruments>

sr	=	44100
ksmps	=	10
nchnls	=	2
0dbfs	=	1


initc7 1, 11, 0.75

instr 1	
key sensekey 

ktog_pch init 1
printk2 key
printk2 ktog_pch

;MIDI CC1 controls pitch
kcps ctrl7 1, 11, -2, 2
kcps portk kcps, 0.01


;midi controlled diskin loop
a1 diskin2 "FunkSoulSista.wav", kcps, 0, 1
;normal diskin loop
a2 diskin2 "FunkSoulSista.wav", 1, 0, 1


;space bar toggles the normal and midi controlled loop
if(key == 32) then
	if(ktog_pch == 0) then
		ktog_pch = 1
	elseif(ktog_pch == 1) then 
		ktog_pch = 0
	endif
endif


if(ktog_pch == 1) then
	;send midi controlled loop to outputs
	aout = a1
elseif(ktog_pch == 0) then 
	;send normal loop to outputs
	aout = a2
endif

outs aout, aout

endin

</CsInstruments>
; ==============================================
<CsScore>

i1 0 10000

</CsScore>
</CsoundSynthesizer>
